/*
 * Class created by lensfrex.
 */

package net.lensfrex.dscape.mq;

import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.stereotype.Component;

@Component
public class MessageQueueProducer {
    private final RabbitTemplate rabbit;

    public MessageQueueProducer(RabbitTemplate rabbit) {
        this.rabbit = rabbit;
    }

    public void sendObject(Object data) {
        rabbit.convertAndSend(data);
    }
}
